<?php
/**
 * 竞拍
 * @author yzxh24
 * @email yzxh24@gmail.com
 * @created 2010-07-12 13:51:25
 */
class SaleController extends BackendController
{
    /**
     * action路径前缀
     */
	protected $actionPrefix = 'admin.controllers.Sale.';

    /**
     * action对应表
     */
    protected $actionMap = array(
        'list' => 'ListAction',
        'joinlist' => 'JoinListAction',
        'create' => 'CreateAction',
        'update' => 'UpdateAction',
        'delete' => 'DeleteAction',
        'view' => 'ViewAction',
        'complete' => 'CompleteAction',
    );

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax'] === 'sale-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}